Subject: linux-next: manual merge of the devicetree tree with the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 29 Oct 2021 13:24:11 +1100

Hi all,

Today's linux-next merge of the devicetree tree got a conflict in:

  Documentation/devicetree/bindings/pci/rockchip-dw-pcie.yaml

between commit:

  af7cda832f8a ("dt-bindings: rockchip: Add DesignWare based PCIe controller")

from the pci tree and commit:

  ad854f362e8c ("dt-bindings: rockchip: Add DesignWare based PCIe controller")

from the devicetree tree.

These were almost identical patches.  I went with the former one sonce
it was dated later.

I fixed it up (see above) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell